=== debian/changelog ===
ros-humble-libstatistics-collector (1.3.1-1jammy) jammy; urgency=high

  * Check if message has a "header" field with a stamp subfield of type builtin_interfaces::msg::Time (#54 <https://github.com/ros-tooling/libstatistics_collector/issues/54>) (#153 <https://github.com/ros-tooling/libstatistics_collector/issues/153>)
    * Fix for Issue 51. Adds check to HasHeader template to check that the message
    in question has a field called 'header' with a subfield 'stamp' of type builtin_interfaces::msg::Time.
    Added unit test case and DummyCustomHeaderMessage for use with tests.
  * Contributors: Tim Clephas

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 21 Feb 2023 08:00:00 -0000

ros-humble-libstatistics-collector (1.3.0-1jammy) jammy; urgency=high

  * Bump hmarr/auto-approve-action from 2.1.0 to 2.2.0
  * Contributors: dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 07 Nov 2022 08:00:00 -0000

ros-humble-libstatistics-collector (1.2.0-1jammy) jammy; urgency=high

  * Bump pascalgn/automerge-action from 0.14.3 to 0.15.2
  * Bump ros-tooling/setup-ros from 0.2.2 to 0.3.0
  * Bump actions/upload-artifact from 2.3.1 to 3
  * Bump actions/upload-artifact from 2.2.4 to 2.3.1
  * Bump actions/checkout from 2 to 3
  * Bump ros-tooling/setup-ros from 0.2.1 to 0.2.2 (#123 <https://github.com/ros-tooling/libstatistics_collector/issues/123>)
  * Install includes to include/${PROJECT_NAME} (#122 <https://github.com/ros-tooling/libstatistics_collector/issues/122>)
  * Bump codecov/codecov-action from 2.0.3 to 2.1.0
  * Bump pascalgn/automerge-action from 0.14.2 to 0.14.3
  * Bump codecov/codecov-action from 2.0.2 to 2.0.3
  * Use rosidl_get_typesupport_target() (#116 <https://github.com/ros-tooling/libstatistics_collector/issues/116>)
  * Bump codecov/codecov-action from 2.0.1 to 2.0.2
  * Bump codecov/codecov-action from 1.5.2 to 2.0.1
  * Bump actions/upload-artifact from 1 to 2.2.4
  * Bump codecov/codecov-action from 1.5.1 to 1.5.2
  * Remove cloudwatch reporting (#110 <https://github.com/ros-tooling/libstatistics_collector/issues/110>)
  * Bump codecov/codecov-action from 1.3.1 to 1.5.1
  * Bump ros-tooling/setup-ros from 0.2.0 to 0.2.1
  * Bump pascalgn/automerge-action from 0.14.1 to 0.14.2
  * Bump ros-tooling/setup-ros from 0.1 to 0.2.0
  * Bump pascalgn/automerge-action from 0.13.1 to 0.14.1
  * Fix autoapprove
  * Package.json explicitly owned by emerson to minimize notifications
  * Replace index.ros.org links -> docs.ros.org. (#94 <https://github.com/ros-tooling/libstatistics_collector/issues/94>)
  * Bump hmarr/auto-approve-action from v2.0.0 to v2.1.0
  * Bump codecov/codecov-action from v1.2.1 to v1.3.1
  * Use latest versions of CI actions (#92 <https://github.com/ros-tooling/libstatistics_collector/issues/92>)
  * Contributors: Chris Lalancette, Emerson Knapp, Shane Loretz, dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 29 Mar 2022 07:00:00 -0000

ros-humble-libstatistics-collector (1.1.0-1jammy) jammy; urgency=high

  * fix: measured values after the decimal point are truncated #79 <https://github.com/ros-tooling/libstatistics_collector/issues/79> (#80 <https://github.com/ros-tooling/libstatistics_collector/issues/80>)
  * Update linter to run on rolling+focal (#81 <https://github.com/ros-tooling/libstatistics_collector/issues/81>)
  * Add automerge.yml config file (#70 <https://github.com/ros-tooling/libstatistics_collector/issues/70>)
  * Update QD to QL 1 (#68 <https://github.com/ros-tooling/libstatistics_collector/issues/68>)
  * Updated QD (#64 <https://github.com/ros-tooling/libstatistics_collector/issues/64>)
  * Updated QD Performance tests (#58 <https://github.com/ros-tooling/libstatistics_collector/issues/58>)
  * Added benchmark test to libstatistics_collector (#57 <https://github.com/ros-tooling/libstatistics_collector/issues/57>)
    * Added benchmark test to libstatistics_collector
    * cppcheck supressed unknown macro warning - macos
    * Reset heap counters
    * Added feedback
    * Remove unknownMacro suppression from CMakeLists.txt
    * Added feedback
    * moved benchmark test to test/benchmark
    * Added feedback
    Co-authored-by: Devin Bonnie <mailto:47613035+dabonnie@users.noreply.github.com>
  * Report failed workflows (#56 <https://github.com/ros-tooling/libstatistics_collector/issues/56>)
    Allow codecov failures to be silent
  * Add default CODEOWNERS file (#55 <https://github.com/ros-tooling/libstatistics_collector/issues/55>)
  * Remove repo activity from individual repositories in favor of centralized reporting (#52 <https://github.com/ros-tooling/libstatistics_collector/issues/52>)
  * Don't attempt to report if originating from a fork (#43 <https://github.com/ros-tooling/libstatistics_collector/issues/43>)
  * Removed doxygen warnings (#41 <https://github.com/ros-tooling/libstatistics_collector/issues/41>)
    Co-authored-by: Anas Abou Allaban <mailto:allabana@amazon.com>
  * Add autoapprove action for dependabot (#40 <https://github.com/ros-tooling/libstatistics_collector/issues/40>)
  * Create Dependabot config file (#31 <https://github.com/ros-tooling/libstatistics_collector/issues/31>)
    * Create Dependabot config file
    * Randomize time of run
    Co-authored-by: dependabot-preview[bot] <27856297+dependabot-preview[bot]@users.noreply.github.com>
    Co-authored-by: Prajakta Gokhale <mailto:prajaktg@amazon.com>
  * Updated QD to 3 (#30 <https://github.com/ros-tooling/libstatistics_collector/issues/30>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#24 <https://github.com/ros-tooling/libstatistics_collector/issues/24>)
    Co-authored-by: Emerson Knapp <mailto:537409+emersonknapp@users.noreply.github.com>
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Devin Bonnie, Emerson Knapp, Lucas Han, Prajakta Gokhale, Stephen Brawner, hsgwa


